---
title: PresentationConnection
slug: Web/API/PresentationConnection
tags:
  - API
  - Experimental
  - Interface
  - Presentation API
  - PresentationConnection
  - Reference
---
<div>{{SeeCompatTable}}{{securecontext_header}}{{DefaultAPISidebar("Presentation API")}}</div>

<p>The <strong><code>PresentationConnection</code></strong> interface of the <a href="/Web/API/Presentation_API">Presentation API</a> provides methods and properties for managing a single presentation. Each <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-connection">presentation connection</a> is represented by a <code>PresentationConnection</code> object. Both the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a> and <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-receiving-user-agent">receiving user agent</a> <em>MUST</em> implement <code>PresentationConnection</code>.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("PresentationConnection.binaryType")}}</dt>
 <dd>Returns either blob or arrayBuffer. When a <code>PresentationConnection</code> object is created, its <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationconnection-binarytype"><code>binaryType</code></a> IDL attribute <em>MUST</em> be set to the string " <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dom-binarytype-arraybuffer"><code>arraybuffer</code></a>".</dd>
 <dt>{{domxref("PresentationConnection.id")}} {{readonlyInline}}</dt>
 <dd>Provides the presentation connection identifier.</dd>
 <dt>{{domxref("PresentationConnection.state")}} {{readonlyInline}}</dt>
 <dd>Returns the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-connection">presentation connection</a>'s current state.</dd>
 <dt>{{domxref("PresentationConnection.url")}} {{readonlyinline}}</dt>
 <dd>Returns the URL used to create or reconnect to the presentation.</dd>
</dl>

<h3 id="Event_handlers">Event handlers</h3>

<dl>
 <dt>{{domxref("PresentationConnection.onclose")}}</dt>
 <dd>Fired when there is a call to {{DOMxRef("PresentationConnection.close", "PresentationConnection.close()")}}.</dd>
 <dt>{{domxref("PresentationConnection.onconnect")}}</dt>
 <dd>Fired when a presentation connection is established.</dd>
 <dt>{{domxref("PresentationConnection.onmessage")}}</dt>
 <dd>Fired when there is a call to {{DOMxRef("PresentationConnection.send", "PresentationConnection.send()")}}.</dd>
 <dt>{{domxref("PresentationConnection.onterminated")}}</dt>
 <dd>Fired when there is a call to {{DOMxRef("PresentationConnection.terminate", "PresentationConnection.terminate()")}}.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("PresentationConnection.close()")}}</dt>
 <dd>Closes the current connection and sends a {{domxref("PresentationConnectionCloseEvent")}} to {{DOMxRef("PresentationConnection.onclosed")}}.</dd>
 <dt>{{domxref("PresentationConnection.send()")}}</dt>
 <dd>Sends either binary or text data between a controlling browsing context and a presenting browsing context.</dd>
 <dt>{{domxref("PresentationConnection.terminate()")}}</dt>
 <dd>Terminates the current connection and fires {{DOMxRef("PresentationConnection.onterminated")}}.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation','#interface-presentationconnection','PresentationConnection interface')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.PresentationConnection")}}</p>
